activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Clebert Suconic <clebert.suco...@gmail.com>
Subject Re: [VOTE] Apache Artemis 1.2.0
Date Mon, 21 Dec 2015 17:55:26 GMT
>
> Actually, this is more serious than that.  If I’m reading correctly, libaio is LGPL.
 Thus, we cannot use it from an Apache release unless its:
>
We are not redistributing libaio.. libaio is a Kernel functionality
from Linux. We have an implementation that is just using a kernel
functionality available on any Linux Kernel. you need to install the
libaio header but the functiionality is part of the linux kernel.

Saying so would be the same as saying you can't use any OS that's
LGPL.. which is not the case.



> 1) completely optional - Artemis would have to “functionally work” without it
>

It does, however we get a lot of performance boos if you use it.


> 2) Not be part of the default build - in our case, we’d need  a maven profile to build
it and that profile would need to not be activeByDefault.
>
> Thus, I think this release cannot be released as is.


I disagree.. the release should include it... our implementation is
apache licensed.

Mime
View raw message